﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Repository.domain
{
    public class MonitorDataSource
    {
        /// <summary>
        /// 编号
        /// </summary>
        public int No { get; set; }
        /// <summary>
        /// 备  注:硫化机位
        /// 默认值:
        ///</summary>
        public string VulcanizationNo { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:开始时间
        /// 默认值:
        ///</summary>
        public string StartTime { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:成品代号
        /// 默认值:
        ///</summary>
        public string RecipeCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:标称尺度
        /// 默认值:
        ///</summary>
        public string RecipeName { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:SPEC编号
        /// 默认值:
        ///</summary>
        public string SpecCode { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:小车编号
        /// 默认值:
        ///</summary>
        public int? DeviceNo { get; set; }

        /// <summary>
        /// 备  注:生胎重量
        /// 默认值:
        ///</summary>
        public int? RawTireWeight { get; set; }

        /// <summary>
        /// 基部胶耗时
        /// </summary>
        public string BaseRubTimeSpan { get; set; } = string.Empty;

        /// <summary>
        /// 中层胶耗时
        /// </summary>
        public string MidRubTimeSpan { get; set; } = string.Empty;

        /// <summary>
        /// 胎面胶耗时
        /// </summary>
        public string FaceRubTimeSpan { get; set; } = string.Empty;


    }
}
