﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// 班次时间表
    ///</summary>
    [SugarTable("sys_shift_time")]
    public class SysShiftTimeEntity
    {
        /// <summary>
        /// 备  注: 班次ID
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "shift_id", IsPrimaryKey = true)]
        public string ShiftId { get; set; }

        /// <summary>
        /// 备  注:班次名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "shift_name")]
        public string ShiftName { get; set; } = null;

        /// <summary>
        /// 备  注:班次开始时间
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "shift_st")]
        public string ShiftStartTime { get; set; } = null;

        /// <summary>
        /// 备  注:班次结束时间
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "shift_et")]
        public string ShiftEndTime { get; set; } = null;

        /// <summary>
        /// 备  注:班次类型
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "shift_class")]
        public string ShiftClass { get; set; } = null;
    }
}
