﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Repository.domain
{
    public class WeightDataSourceEntity
    {

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        public int Id { get; set; }

        /// <summary>
        /// 备  注:配方编号
        /// 默认值:
        ///</summary>
        public string RecipeCode { get; set; } = null;

        /// <summary>
        /// 备  注:物料编号
        /// 默认值:
        ///</summary>
        public string MaterialCode { get; set; } = null;

        /// <summary>
        /// 备  注:物料名称
        /// 默认值:
        ///</summary>
        public string MaterialName { get; set; } = null;

        /// <summary>
        /// 备  注:物料类型
        /// 默认值:
        ///</summary>
        public string MaterialType { get; set; } = null;

        /// <summary>
        /// 备  注:物料子类型
        /// 默认值:
        ///</summary>
        public string MaterialChildType { get; set; } = null;

        /// <summary>
        /// 备  注:厚度
        /// 默认值:
        ///</summary>
        public decimal? SetThickness { get; set; }

        /// <summary>
        /// 备  注:宽度
        /// 默认值:
        ///</summary>
        public decimal? SetWidth { get; set; }

        /// <summary>
        /// 备  注:层数
        /// 默认值:
        ///</summary>
        public int? SetLayer { get; set; }

        /// <summary>
        /// 备  注:重量
        /// 默认值:
        ///</summary>
        public decimal? SetWeight { get; set; }

        /// <summary>
        /// 备  注:公差
        /// 默认值:
        ///</summary>
        public decimal? SetError { get; set; }

        /// <summary>
        /// 备  注:是否使用
        /// 默认值:
        ///</summary>
        public bool? IsUse { get; set; }
    }
}
