﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 物料类别
    ///</summary>
    [SugarTable("zx_material_type")]
    public class ZxMaterialTypeEntity
    {
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 备  注:物料类型名
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_type_name")]
        public string MaterialTypeName { get; set; } = null;

    }

}