﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// 开炼机物料配置表
    /// </summary>
    [SugarTable("zx_open_mix_material")]
    public class ZxOpenMixMaterialEntity
    {
        /// <summary>
        /// 备  注:工位编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "station_no", IsPrimaryKey = true, IsIdentity = true)]
        public int StationNo { get; set; }

        /// <summary>
        /// 备  注:物料名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; } = string.Empty;
    }
}
