﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models
{
    /// <summary>
    /// 生产排程实体类
    ///</summary>
    [SugarTable("zx_scheduling")]
    public class ZxSchedulingEntity
    {
        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 备  注:机台号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "device_no")]
        public int? DeviceNo { get; set; }

        /// <summary>
        /// 备  注:成品代号1
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_name_1")]
        public string RecipeName1 { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:配方编号1
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_no_1")]
        public string RecipeCode1 { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:成品代号2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_name_2")]
        public string RecipeName2 { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:配方编号2
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "recipe_no_2")]
        public string RecipeCode2 { get; set; } = string.Empty;
    }

}