﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// RFID配置表
    ///</summary>
    [SugarTable("zx_rfid_tag_setting")]
    public class ZxTagSettingEntity
    {

        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 备  注:标签EPC
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "rfid_epc")]
        public string RfidEpc { get; set; } = string.Empty;

        ///// <summary>
        ///// 备  注:RFID编号
        ///// 默认值:
        /////</summary>
        //[SugarColumn(ColumnName = "rfid_epc")]
        //public string RfidEpc { get; set; } = string.Empty;

        /// <summary>
        /// 备  注:小车编号
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "device_no")]
        public string DeviceNo { get; set; } = string.Empty;

        ///// <summary>
        ///// 备  注:是否连接成功
        ///// 默认值:
        /////</summary>
        //[SugarColumn(ColumnName = "is_connected")]
        //public bool? IsConnected { get; set; }
    }

}
