﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace HighWayIot.Rfid.Entity
{
    public class Receive02HEntity
    {
        /// <summary>
        /// 标签个数
        /// </summary>
        public byte TagCount { get; set; }

        /// <summary>
        /// 时间段内读到的数据集合
        /// </summary>
        public List<Single02HReceive> Data { get; set; }
        
    }

    public class Single02HReceive
    {
        /// <summary>
        /// 读取次数
        /// </summary>
        public byte Count { get; set; }

        /// <summary>
        /// 信号强度
        /// </summary>
        public byte RSSI { get; set; }

        /// <summary>
        /// 天线端口
        /// </summary>
        public byte Ant { get; set; }

        /// <summary>
        /// EPC区域
        /// </summary>
        public byte[] PC { get; set; }

        /// <summary>
        /// EPC内容
        /// </summary>
        public byte[] EPC { get; set; }
    }
}
