﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace HighWayIot.Repository.domain
{
    /// <summary>
    /// 角色信息
    ///</summary>
    [SugarTable("sys_role")]
    public class SysRoleEntity
    {


        /// <summary>
        /// 备  注:
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        /// 备  注:角色名称
        /// 默认值:
        ///</summary>
        [SugarColumn(ColumnName = "role_name")]
        public string RoleName { get; set; }

        /// <summary>
        /// 备  注:角色权限设定
        /// 默认值:100个0组成的字符串
        ///</summary>
        [SugarColumn(ColumnName = "role_set")]
        public string RoleSet { get; set; } = null;


    }

}